%define name xhippo
%define version 3.2
%define release 1mdk

Name: %{name}
Summary: A mp3 playlist frontend
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.bz2
Source1: %{name}-16x16.xpm.bz2
Source2: %{name}-32x32.xpm.bz2
Source3: %{name}-48x48.xpm.bz2
Group: Sound 
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
Requires: libgtk+1.2 gnome-libs
BuildRequires: libgtk+1.2-devel gnome-libs-devel

%description
Xhippo is a Mp3 playlist frontend.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure --with-gnome --with-gnome-menubar

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
cp xhippo.config $RPM_BUILD_ROOT%{_sysconfdir}
%find_lang %{name}
(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/xhippo"\
title="Xhippo"\
longtitle="A mp3 playlist frontend"\
needs="x11"\
section="Multimedia/Sound" \
icon="%{name}.xpm"
EOF
)
#icons
mkdir -p $RPM_BUILD_ROOT{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

%post
%{update_menus}
 
%postun
%{clean_menus} 

%files -f %name.lang
%defattr(-,root,root)
%doc doc/*.* README ChangeLog AUTHORS BUGS COPYING NEWS README* TODO
%config(noreplace) %{_sysconfdir}/xhippo.config
%{_bindir}/xhippo
%{_menudir}/xhippo
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm

%clean
rm -rf $RPM_BUILD_ROOT 

%changelog
* Thu Aug 23 2001 Etienne Faure <etienne@mandrakesoft.com> 3.2-1mdk
- updated from Gtz Waschk <waschk@linux-mandrake.com> 3.2-1mdk
	- 3.2

* Thu May 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.1-1mdk
- fixed and updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 3.1
	- added locale files
	- %%makeinstall macro

* Tue Apr 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.0-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 3.0

* Tue Feb 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.9-1mdk
- updated - once again ;-) - by  Gtz Waschk <waschk@linux-mandrake.com> :
	- 2.9
	- configuration file added
	- icons added
	- %%doc section updated
	- GNOME support enabled
	- small spec fixes

* Mon Dec 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.8-1mdk
- updated to 2.8

* Wed Sep 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0-4mdk 
- macros & bm
- menu 

* Thu May 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0-3mdk
- fix group
- spex helper cleanups

* Wed Nov 03 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Specfile for Mandrake / New in contribs

* Fri Aug 06 1999 Stefan Siegel <siegel@informatik.uni-kl.de>
- Added "config" tag for files containing /etc or /config
- Added compression for perl- and localized man-pages

* Sat Jun 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- create (more or less) generic spec file...
